import React from 'react';

const DeveloperProjectDetails = ({
  projectName,
  setProjectName,
  reraNo,
  setReraNo,
  projectLandType,
  setProjectLandType,
  projectDescription,
  setProjectDescription
}) => {
  return (
    <div className="space-y-6 w-full">
      <div className="grid gap-6 sm:gap-8 md:grid-cols-2">
        <div className="w-full">
          <label htmlFor="projectName" className="block text-sm font-medium mb-2">
            Project Name
          </label>
          <input
            id="projectName"
            type="text"
            value={projectName}
            onChange={(e) => setProjectName(e.target.value)}
            placeholder="Enter Project Name"
            className="w-full rounded-lg border border-gray-300 bg-transparent px-3 py-2 text-sm focus:border-purple-600 focus:outline-none sm:px-4 sm:py-2.5"
          />
        </div>
        <div className="w-full">
          <label htmlFor="reraNo" className="block text-sm font-medium mb-2">
            RERA No
          </label>
          <input
            id="reraNo"
            type="text"
            value={reraNo}
            onChange={(e) => setReraNo(e.target.value)}
            placeholder="Enter RERA Number"
            className="w-full rounded-lg border border-gray-300 bg-transparent px-3 py-2 text-sm focus:border-purple-600 focus:outline-none sm:px-4 sm:py-2.5"
          />
        </div>
      </div>
      <div className="w-full">
        <label className="block text-sm font-medium mb-3">
          Project Land Type
        </label>
        <div className="flex flex-wrap gap-4">
          {['Residential', 'Commercial', 'Industrial'].map((type) => (
            <label
              key={type}
              className="flex items-center space-x-2 cursor-pointer"
            >
              <input
                type="radio"
                name="projectLandType"
                value={type}
                checked={projectLandType === type}
                onChange={(e) => setProjectLandType(e.target.value)}
                className="w-4 h-4 text-purple-600 border-gray-300 focus:ring-purple-500"
              />
              <span className="text-sm">{type}</span>
            </label>
          ))}
        </div>
      </div>
      <div className="w-full">
        <label htmlFor="projectDescription" className="block text-sm font-medium mb-2">
          Project Description
        </label>
        <textarea
          id="projectDescription"
          value={projectDescription}
          onChange={(e) => setProjectDescription(e.target.value)}
          placeholder="Enter Project Description"
          rows={4}
          className="w-full rounded-lg border border-gray-300 bg-transparent px-3 py-2 text-sm focus:border-purple-600 focus:outline-none sm:px-4 sm:py-2.5"
        />
      </div>
    </div>
  );
};

export default DeveloperProjectDetails;
